#include <iostream>
using namespace std;


int main() {

    int Kada_je_kupio;
    int od_kad_jede;

    cin >> Kada_je_kupio >> od_kad_jede;

  
    long long dan_kupovine[300000];
    

    for (int i = 0; i < Kada_je_kupio;i++) {

        cin >> dan_kupovine[i];


    }

    
    

    for (int i = 0;i < od_kad_jede; i++) {



        long long koji_Dan;
        cin >> koji_Dan;

        long long brojac = 0;

        int pokazivac = 0;

        while (pokazivac < Kada_je_kupio && dan_kupovine[pokazivac] <= koji_Dan) {

            brojac++;
            pokazivac++;

        }

        cout << brojac << endl;
    }












    return 0;
}